Bug 54638 - Focus lost after invoking buttons in the wizard
Focus lost after invoking buttons in the wizard
Status: CLOSED FIXED
Product: platform
Classification: Unclassified
Component: Window System
4.x
PC Linux
: P3 (vote)
: 5.x
Assigned To: Milos Kleint
issues@platform
: FOCUS
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-07 16:12 UTC by Ondrej Rypacek
Modified: 2008-12-22 22:24 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ondrej Rypacek 2005-02-07 16:12:03 UTC
Steps2Repro:
1) open the "Internationalization Wizard" or the 
"Internationalization Test Wizard"
2) Press Add Source (Alt-A) , Remove Source(s)
(Alt-R), or Next and Select All (Alt-A), Select
Resource (Alt-R)
3) Press cancel to cancel the dialog that appears 
4) Press Alt-B ---> the main "Build" menu appears,
i.e. the focus is in the main window, not in the
wizard
Comment 1 Ondrej Rypacek 2005-02-07 16:31:41 UTC
NodeOperation is used to show the dialog and in the case of ESC,
nothing else is executed in the action handler. I suspect the problem
is in NodeOperation.select. 

I even tried to manually reclaim the focus after the modal dialog
finishes ( .select returns ), but that didn't help. 

Comment 2 Petr Nejedly 2005-03-18 10:00:06 UTC
This is problem of all modal dialogs, they have MainWindow set as their parent,
and this is where the focus returns to.
Comment 3 Milos Kleint 2005-04-22 09:54:31 UTC
not really all dialogs.
it's the problem of Fileselector dialog created in the NodeOperation.select()
method. The FileSelector is always created with null as the parent window,
resulting in focus going to main window. Not sure what are the reasons for using
a custom CoronaDialog instead of the default Notify/DialogDescriptor. Historical
reasons only?
Comment 4 Milos Kleint 2005-04-22 14:03:13 UTC
fixed by  replacing the obsolete coronadialog with
dialogdescriptor+dialogdisplayer standard solution which knows how to handle
focus in dialogs. Also improves dialog behaviour on macosx.
Comment 5 Ondrej Rypacek 2005-04-27 15:04:54 UTC
v


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo